<p>Es gibt drei Optionen, um die Daten für Auswahllisten aus Datenbank-Tabellen einzulesen:
<ul>
<li> <b>Dimensionen</b>: Wenn der Wert aus einer Dimension stammt <b>und nicht umbenannt wurde</b>,
bietet es sich an, die Dimension als Auswahlliste zu verwenden. In Werte-Tabelle wird dann nur ein Raute-Zeichen
(#) eingetragen.</li>
<li> <b>Auswahlliste</b>: Eine weitere Möglichkeit besteht in der Verwendung einer Datenquelle vom Typ Auswahlliste.
Dort muss eine gleichnamige Zeilen-Definition existieren, deren Wert dann als Auswahl für den Filter
verwendet wird. In Werte-Tabelle wird dann nur ein Raute-Zeichen
(#) gefolgt von dem Namen der Datenquelle eingetragen.</li>
<li> <b>DB-Tabelle</b>: Wenn eine Datenbank-Tabelle eingetragen wird, muss diese gleichnamige Spalten für 
die Select-Ausdrücke enthalten. Dann können bis zu zwei zusätzliche Filter zum Eingrenzen der Auswahl angegeben werden.
Dabei werden die Filter-Namen der Datenquelle angegeben. Die Auswahl-Tabelle muss die Spalten enthalten,
die in den Filtern der Datenquelle spezifiziert sind.</li>
</ul>
<p>Wenn Datenquellen als Auswahllisten eingetragen sind, werden gleichnamige Filter automatiscj übernommen.
Dabei spielt die Reihenfolge der Elemente in der Zeilen-Definition der Auswahlliste eine Rolle. Nur Filter,
die in der Spezifikation über der aktuell verwendeten Zeile stehen, werden berücksichtigt.

</p>

<?php if ($level >= 10) echo "<a href='#Anzeige' onclick=\"anzeige('dqListe');\">"
?>Link in Kapitel<?php 
if ($level >= 10) echo "</a>"?>


 <?php 
if ($level <10){  
?>   
 <p>Siehe auch:
 <br><a href="./anleitung.php?level=2&part=dqMeta1">Metadaten-Editor</a>
 <br><a href="./anleitung.php?level=2&part=dqFilter">Filter</a>
 </p>
 <?php
}
 ?> 
