<p>Die Ausgabe des Reports erfolgt grundsätzlich als HTML-Tabelle. In der Kopfleiste kann über eine
Schaltfläche die Ausgabe als Spreadsheet angefordert werden. Aktuell wir Libre Office unterstützt.
Andere Spreadsheet-Programme, insb. EXCEL, konnten bislang nicht getestet werden</p>
<p>Je nach Berechtigung kann auch der Report-Editor in der Kopfleiste über "Report bearbeiten" aufgerufen werden, 
um die Ausgabe zu modifizieren.</p>
<p>Weitere  Reports werden durch einen Klick auf "Reports" angeboten.</p>
<p>Ggf. können auch Filter eingegeben und geändert werden.</p> 
<p>Die HTML-Ausgabe ist "gesprächig" angelegt: Wenn man den Mauszeiger über die Spaltenüberschriften positioniert,
erscheint eine Beschreibung der Daten (sofern diese in den Datenquellen eingetragen wurde). Auch bei den Links
erscheint eine solche Beschreibung, wenn man den Mauszeiger darüber positioniert, ohne darauf zu klicken.</p>
<p>Die Spalten können mit der Maus über die Spaltenköpfe verschoben werden. Bei gedrückter Maus wird eine Kopie
des Titels bewegt und kann dann auf einem grün unterlegten Spaltenkopf "losgelassen" werden. 
Je nachdem ob nach rechts oder links verschoben wird, wird die Spalte rechts oder links vom grün unterlegten
Spaltenkopf einsortiert. Wenn die Werte in Zeilen angezeigt werden, können sie über den Zeilen-Titel nach oben und unten 
verschoben werden. Es kann nur innerhalb einer Gruppe (für Zeilen, für Werte, Spalten mit Werten) 
verschoben werden.</p>   
<h4>Sortierung</h4>
<p>Wenn in der Report-Definition die Sortier-Option aktiviert wurde, kann die Tabelle nach den Spalten-Werten 
sortiert werden. Ein Klick auf das Sortier-Symbol <img src="./icons/sort.gif" height="10px" width="10px"/> sortiert die Tabelle
zunächst aufsteigend, was durch das Symbol <img src="./icons/auf.gif" height="10px" width="10px"/> angezeigt wird. Ein Klick auf
dieses Symbol sortiert die Tabelle nach absteigenden Werten <img src="./icons/ab.gif" height="10px" width="10px"/>. Ein weiterer
Klick auf dieses Symbol schaltet die Sortierung wieder aus. Die Tabelle kann aktuell nur nach einem Wert 
sortiert werden.</p>
<h4>Auf- und Zuklappen</h4>
<p>Wenn in der Report-Definition aktiviert, können Teile der Tabelle auf- und zugeklappt werden. Dann sind in den
Zeilen die Symbole <span class = 'WSFicon'>&rArr;</span> zum Zuklappen und <span class = 'WSFicon'>&dArr;</span> zum Aufklappen
vorhanden. Die entsprechenden Symbole finden sich auch in den Kopf-Zeilen, um eine ganze Spalte komplett
auf- oder zuzuklappen.</p>
<p>Der WS-Reporter speichert diese Aktionen für das jeweilige Fenster, so dass bei den folgenden Ausgaben
die entsprechenden Knoten den Status aus der letzten Ausgabe behalten.</p> 
<h4>Filter</h4>
<p>Alle aktiven Filter werden in einer Box am Ende der Tabelle angezeigt. Wenn es in der Report-Definition 
vorgesehen wurde, können einzelne Filter über den Menü-Punkt in der Kopfleiste auch geändert werden. 
Die Anzeige wird dann mit der entsprechenden Schaltfläche aktualisiert.</p> 
<h4>Erfassungsmasken</h4>
<p>Reports können auch Eingabefelder enthalten. Die Eingaben werden auf alle Datensätze verteilt, aus der 
die Daten der jeweiligen Zeile (und ggf. Spalte) berechnet werden. 
<p>Die Verarbeitung einer initialen Eingabe (in ein leeres Feld) hängt vom Typ des Wertes ab: Geldbeträge werden auf
alle Tabellenzeilen, die in die Berechnung an dieser Stelle eingehen, gleichverteilt. Bei allen anderen Typen wird der 
eingegebene Wert kopiert. Danach führen Eingaben auf höheren Ebenen zur prozentalen Anpassung der Basis-Werte.</p> 
<p>Die Anzeige (z.B. in den Summen) wird erst aktualisiert, wenn die Tabelle über den Menüpunkt "Aktualisieren"
in der Kopfzeile neu aufgebaut wird.</p>  