<p>Filter schränken die Abfrage der Daten nach den angegeben Kriterien ein.
Abhängig von der Spezifikation in der Datenquelle, können Werte oder Wertebereiche
über Auswahllisten oder direkt eingegeben werden. Wertebereiche sind immer "einschließlich".</p>
<p>Bei der Freitext-Eingabe kann mit einem vorangestellten Ausrufezeichen die Suche umgedreht werden.</p>
<h4>Anzeige-Filter</h4>
<p>Eine Ausnahme sind Anzeige-Filter, die erst bei der Auswahl der anzuzeigenden Zeilen wirken
und so übersichtliche Reports ermöglichen. Werte-Filter sind mit einem Stern (*) vor dem Namen 
gekennzeichnet und wirken auf den jeweils anzuzeigenden Wert. Weitere Auswahl-Filter können mit der
Auswahl '# Auswahl-Filter' erzeugt werden und funktionieren nach komplexeren Regeln. 
In der Filter-Liste stehen sie dann mit dem #-Kenzeichen und dem Typ. Siehe 
<?php if ($level >= 10) echo "<a href='#Anzeige' onclick=\"anzeige('rdWindowFilter');\">"?>Unterkapitel 
Anzeige-Filter<?php if ($level >= 10) echo "</a>";?>.</p>
<h4>Filter-Übernahme</h4>
<p>Reports können aus anderen Reports über das Verzeichnis oder Links aufgerufen werden. 
In beiden Fällen können die Filter-Spezifikationen aus dem aufrufenden Report an den aufgerufenen
Report übergeben werden. Dazu muss im aufgerufenen Report der (gleichnamige) Filter mindestens
mindestens als leerer, nicht aktiver Filter angelegt sein.
Sonst werden diese Parameter beim Aufruf ignoriert.</p>
<h4>List-Filter</h4>
<p>Filter-Listen wirken entweder als Auswahl oder als Ausschluss-Liste, abhängig von der Option in der 
Werte-Auswahl. Ein nicht aktiver Filter kann über die Auswahl "erstellen" in der Drop-Down-Box erstellt werden.
Es wird dann eine Tabelle mit allen aus- bzw. abwählbaren Werten angezeigt. Ein gesetzter Filter kann 
über die entsprechenden Optionen in der Drop-Down-Box bearbeitet oder gelöscht werden.</p> 
<p>In der Filter-Liste wirken die Aus- oder Abwahl eines Werts sofort. D.h. die Liste muss nicht
geschlossen werden, bevor der Report neu aufgebaut wird.</p> 
<h4>Optionen</h4>
<p>Alle Filter-Einstellungen werden in der Ausgabe in einer Box unterhalb der Tabelle
angezeigt. 
<br><b>In Überschrift anzeigen</b>: Zusätzlich können bis zu 4 Filtereinstellungen in den Überschriften des Reports 
angezeigt werden. Über die Check-Box "mit Label" kann festgelegt werden, ob nur der Filter-Wert oder auch die
Filter-Beschreibung angezeigt wird.
<br><b>Selector im Output</b>: In der Box unterhalb der Tabelle, können Filter auch geändert werden,
wenn dies in der Report-Definition mit der Option "Selector im Output" vorgesehen ist.
<br><b>Wirksam</b>:In Sonderfällen ist es sinnvoll, wenn ein Filter nur für einen Teilbereich der Tabelle,
aber nicht für die Sumenzeilen wirksam ist. Mit "wirksam ab" kann dann eingestellt
werden, ab wann der Filter auf die Werte der Zeilen-Variablen wirkt. Ab der Summenzeile
dieser Zeilenvariablen und auf höheren Ebenen wird der Filter dann ignoriert.
<br><b>Filter übergeben</b>: Wenn für einen Report-Link die Option "Filter übernehmen" gesetzt wurde,
werden die Filtereinstellungen aus dem Report-Aufruf, aber nicht die Einstellungen aus der 
Report-Definition übergeben. Diese Option bewirkt, dass die Einstellung dieses Filters
auch dann übergeben wird, wenn er nicht über den Aufruf gesetzt ist.
<br><b>nicht übernehmen</b>: Diese Option ünterdrückt die Übernahme eines Filters aus dem Aufruf. 
 </p> 
 <h4>Behandlung bei verknüpften Datenquellen</h4>
 <p>Alle Filter der Basisquelle werden auch in den verknüpften Datenquellen verwendet, wenn in
 der Definition der Datenquelle ein solcher Filter existiert. Abweichend davon können für
 die verknüpften Datenquellen eigene Filter spezifiziert werden. Dabei unterdrückt ein 
 leerer Filter die Übernahme der Filter-Spezifikation aus der Basisquelle.</p> 
 <p>Die Dokumentation des Reports enthält eine Übersicht zur Behandlung der verschiedenen
 Filter.</p>
 <h4>Erforderliche Filter</h4>
 <p>In der Datenquelle kann definiert sein, dass eine Abfrage nur mit gesetzten Filtern möglich ist.
 Wenn diese Bedingung nicht erfüllt ist, bei der Report-Ausgabe die Spezifikation der erforderlichen
 Filter verlangt. Dabei können mehrere Filter zu einer Gruppe zusammengefasst sein, aus der dann
 mindestens ein Filter gesetzt sein muss. Die Gruppen werden durch horizontale Linen getrennt.</p> 
 <p>Wenn der Report aus der Definition aufgerufen wird, wereden alle Filter aus der Datenquelle 
 angeboten. Filter, die in der Report-Definition nicht als leere Filter enthalten sind, werden 
 durch ein Fragezeichen gekennzeichnet. In allen anderen Fällen stehen nur Filter zur Verfügung,
 die in der Report-Definition als leere Filter angelegt sind. Deshalb sollte aus jeder notwendigen
 Filter-Gruppe mindestens ein Filter in der Definition enthalten sein.</p> 
 <p>Eine Ausnahme bilden Reports, die nur von Benutzern mit eingeschränkten Rechten aufgerufen
 werden. Wenn durch die Einschränkung der erforderliche Filter gesetzt wird, muss er in der 
 Report-Definition nicht enthalten sein.</p>   
 <h4>Zusatz-Filter</h4>
 <p>Zusatz-Filter werden nur beim Aufruf aus der Report-Definition gesetzt. Hier kann ein Filter,
 der in der Report-Definition als leerer, nicht aktiver Filter angelegt wurde, gesetzt werden.
 Diese Spezifikation wird dann so behandelt, als wäre sie im Aufruf als Parameter übergeben worden.</p> 
 
 