<?php
/**
 * Projekt: WS-Reporter
 *          Muster-Variable speichern bei der Spezifikation der Datenquellen
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    7.10.2021
 *
 */
// http_response_code (425);
// Es fehlen noch die Join-Vars

if (false) {
    $query = new Query("TAB");
}
$wo = $_REQUEST['wo'];
$name = $_REQUEST['name'];
if ($wo != $query->showMuster){
    http_response_code (425);
    echo 'Nur aus der aktuellen Muster-Liste eintragen.';
    die;    
}
if ($wo < 4 || $wo >= 100){
    if (array_key_exists($name, $query->metaData)
        ){
            http_response_code (425);
            echo 'Der Name wird schon verwendet';
            die;
    }

    require_once './phpsec/createDBH.inc';    
    $sql = new SqlAbfrage('WSR');
    $sql->sql = 'select * from queryColumnMetadata';
    $sql->addSel('table_name =', $query->muster_tabelle);
    $sql->addSel('SpaltenTyp =', $wo);
    $sql->addSel('column_name =', trim($name));
    $stmt = $sql->execute();
    if ($stmt == false){
        echo "F1 ";
        var_dump($sql);
        die();
    }
    if (!($z = $stmt->fetchObject())){
        if ($wo < 100){
            http_response_code (425);
            echo "Muster für $name nicht gefunden.\n";
            echo var_dump($stmt->errorInfo());
            die();
        }
        $sql = new SqlAbfrage('WSR');
        $sql->sql = 'select * from queryColumnMetadata';
        $sql->addSel('table_name =', $query->muster_tabelle);
        $sql->addSel('SpaltenTyp >=', 100);
        $sql->addSel('SpaltenTyp <', 120);
        $sql->addSel('column_name like', '_:'.trim($name));
        $stmt = $sql->execute();
        if ($stmt == false){
            echo "F2 ";
            var_dump($sql);
            die();
        }
        if (!($z = $stmt->fetchObject())){
                http_response_code (425);
                echo "Muster für $name nicht gefunden.\n";
                echo var_dump($stmt->errorInfo());
                die();
            }
    }
    
    $metaRecord = new MetaRecord();
    $metaRecord->fillFrom($z,$query);
    $metaRecord->getSelectOptions();
    $metaRecord->setTable($query->class_table);
    switch ($wo){
        case 1: $query->rowVars[] = $name;
        $query->metaData[$name] = $metaRecord;
        break;
        case 2: $query->valueVars[] = $name;
        $query->metaData[$name] = $metaRecord;
        break;
        case 3: $query->filterVars[] = $name;
        $query->metaData[$name] = $metaRecord;
        break;
        case 100:
            if (substr($name,1,1) == ':'){
                $name = substr($name, 2);                
            }else 
            if (substr($name,1,1) == '='){
                    $name = substr($name, 2);
            }
            
            $query->addQueries->getPos($query->qEditSubject - 100)->calcVars[] = $name;
        $query->addQueries->getPos($query->qEditSubject - 100)->getQuery()->metaData[$name] = $metaRecord;
        break;
    }
}elseif ($wo == 4){
    // Gibt es nicht
}
    
/*        String name = request.getParameter("name").trim().replaceAll(" ", "");
        if (wo == 1 ) {
            request.setAttribute("Display", "Zeilen");
        }
        else
            if (wo == 2) {
                request.setAttribute("Display", "Werte");
            }
        else
            if (wo == 3) {
                request.setAttribute("Display", "Filter");
            }
        else {
            response.setStatus(425);
            response.setContentType("text/plain");
            response.getWriter().println("insert Var: bei wo="+wo+" nicht möglich.");
            return;
        }
        request.setAttribute("ReportQuery", rQuery);
        if (!rQuery.insertVarAt(wo, name)) {
            response.setStatus(425);
            response.setContentType("text/plain");
            response.getWriter().println(rQuery.getLastError());
            return;
        }
        if (program.equals("newMusterVar")) {
            if (!rQuery.readMuster(name, wo)) {
                response.setStatus(425);
                response.setContentType("text/plain");
                response.getWriter().println(rQuery.getLastError());
                return;
            }
        }
 */ 
    
?>