<p>In MySql ist die mehrfache Verwendung einer temporären Tabelle in einer Abfrage
nicht möglich. Deshalb kann ein Filter in verknüpften Datenquellen nur dann
auf die Werte in der Basisquelle zugreifen, wenn keine Summenzeilen verwendet werden.</p>
<p>Beispielsweise werden in der Demo bei der Anzeige der neuen und verlorenen Kunden
die Konzern-Nummern für jede Datenquelle über die Abfrage<pre>
konzern_nr not in (select konzern_nr from Kundenzaehlung where ... )
</pre> 
ermittelt. Bei der MariaDB könnte für die verknüpften Quellen direkt auf die 
Konzern-Nummern in der vorher erstellten Basistabelle zugegriffen werden:
<pre>
konzern_nr in (select konzern_nr from base)
</pre> 