<?php 
/**
 * Projekt: WS-Reporter
 *          Suche nach Verwendung in Datenquellen und Reports
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    17.6.2022
 * 
 *
 */

/* ??
if (array_key_exists('class_table', $_REQUEST)){
    $sql = new SqlAbfrage('WSR');
    $sql->sql = 
}
*/
include 'includes/defender.inc';

require_once './includes/funktionen.inc';
require_once './includes/classes.inc';
require_once './includes/qTranslate.inc';
require_once './includes/translateFunktionen.inc';
if (session_status() == PHP_SESSION_NONE)  session_start();
anmeldungPruefen();
uebersetzerRechteVerlangen();
/*
if (array_key_exists('table', $_REQUEST)){
    $table = $_REQUEST['table'];
}else{
    $table = $query->class_table;
}
if (!isValid($table)){
    http_response_code(400);
    echo 'Name der Datenquelle fehlt (Parameter: table)';
    die();    
}
*/
$tSearch = $_REQUEST['text'];
if (!isValid($tSearch)){
    http_response_code(400);
    echo 'Text für Suche fehlt (Parameter: text)';
    die();
}
$stmt = sqlSearch($tSearch);

showUsage($stmt,'','VerwTable',1);

?>