<?php 
/**
 * Projekt: WS-Reporter
 *          Suche nach gespeicherter Übersetzung für WS-Reporter
 *
 * Autor:    Wilfried Schollenberger
 *           WS Unternehmensberatung und Controlling-Systeme GmbH
 * Kontakt:  wisch@ws-unternehmensberatung.de
 * Lizenz:   GPL 3.0
 *
 * Stand:    8.5.2022
 * 
 *
 */

/* ??
if (array_key_exists('class_table', $_REQUEST)){
    $sql = new SqlAbfrage('WSR');
    $sql->sql = 
}
*/
include 'includes/defender.inc';

require_once './includes/funktionen.inc';
require_once './includes/classes.inc';
require_once './includes/wsrTranslate.inc';
if (session_status() == PHP_SESSION_NONE)  session_start();
anmeldungPruefen();
adminRechteVerlangen();
/*
if (array_key_exists('table', $_REQUEST)){
    $table = $_REQUEST['table'];
}else{
    $table = $query->class_table;
}
if (!isValid($table)){
    http_response_code(400);
    echo 'Name der Datenquelle fehlt (Parameter: table)';
    die();    
}
*/
$tSearch = '';
if (array_key_exists('text',$_REQUEST)) $tSearch = $_REQUEST['text'];
if (!isValid($tSearch)){
    http_response_code(400);
    echo 'Text für Suche fehlt (Parameter: text)';
    die();
}
$tSearch = wsrDecode($tSearch);

$lang = substr($_REQUEST['language'], 0,2);


/* Liste der zu übersetzenden Texte */
$sql = new SqlAbfrage('WSR');

$sql->sql = "select  de, en, fr from wsrTranslations";
$sql->addSel($lang.' = ', $tSearch);

$stmt = $sql->execute();
if ($stmt === false){
    var_dump($sql);
    var_dump($dbh->errorInfo());
    die();
}
$z = $stmt->fetchObject();
if ($z === false){
    echo "Der Text:\n".$tSearch."\nwurde in der Sprache ".$lang." nicht gefunden.";
    return;
}
echo WSRTranslate::translate('Übersetzungen')
    ."\nDeutsch: ".$z->de
    ."\nEnglisch: ".$z->en
    ."\nFranzösisch: ".$z->fr
;
